# H225_AdmissionRejectReason Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum

Choices {
e_calledPartyNotRegistered, e_invalidPermission, e_requestDenied, e_undefinedReason,
e_callerNotRegistered, e_routeCallToGatekeeper, e_invalidEndpointIdentifier, e_resourceUnavailable,
e_securityDenial, e_qosControlNotSupported, e_incompleteAddress, e_aliasesInconsistent,
e_routeCallToSCN, e_exceedsCallCapacity, e_collectDestination, e_collectPIN,
e_genericDataReason, e_neededFeatureNotSupported, e_securityErrors, e_securityDHmismatch,
e_noRouteToDestination, e_unallocatedNumber, e_registerWithAssignedGK
}

## Public Member Functions

| H225_AdmissionRejectReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_ArrayOf_PartyNumber & ()
| operator const H225_ArrayOf_PartyNumber & () const
| operator H225_SecurityErrors2 & ()
| operator const H225_SecurityErrors2 & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_AdmissionRejectReason::Choices

Enumerator:

  e_calledPartyNotRegistered |
  e_invalidPermission |
  e_requestDenied |
  e_undefinedReason |
  e_callerNotRegistered |
  e_routeCallToGatekeeper |
  e_invalidEndpointIdentifier |
  e_resourceUnavailable |
  e_securityDenial |
  e_qosControlNotSupported |
  e_incompleteAddress |
  e_aliasesInconsistent |
  e_routeCallToSCN |
  e_exceedsCallCapacity |
  e_collectDestination |
  e_collectPIN |
  e_genericDataReason |
  e_neededFeatureNotSupported |
  e_securityErrors |
  e_securityDHmismatch |
  e_noRouteToDestination |
  e_unallocatedNumber |
  e_registerWithAssignedGK |

## Constructor & Destructor Documentation

H225_AdmissionRejectReason::H225_AdmissionRejectReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_AdmissionRejectReason::operator H225_ArrayOf_PartyNumber & | ( |  | ) |

H225_AdmissionRejectReason::operator const H225_ArrayOf_PartyNumber & | ( |  | ) | const

H225_AdmissionRejectReason::operator H225_SecurityErrors2 & | ( |  | ) |

H225_AdmissionRejectReason::operator const H225_SecurityErrors2 & | ( |  | ) | const

PBoolean H225_AdmissionRejectReason::CreateObject | ( |  | ) |

PObject* H225_AdmissionRejectReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h